def load_image(image_file_path):
    from skimage import io 
    im = io.imread(image_file_path)
    return im

def save_image(img, image_file_path):
    from skimage import io 
    io.imsave(image_file_path, img)


def display_images_on_matrix(image_list, nr_of_columns, size_x, size_y):
    import matplotlib.pylab as plt
    plt.figure(figsize=(size_x, size_y))
    n = len(image_list) // nr_of_columns + 1 
    m = nr_of_columns
    print(n, m)
    for i in range(len(image_list)):
        plt.subplot(n, m, i+1)
        plt.imshow(image_list[i])